Bug 107134 - fix cad/cider build error with gcc41
Summary: fix cad/cider build error with gcc41
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-23 11:50 UTC by shuhei
Modified: 2007-01-22 08:40 UTC (History)
0 users

See Also:


Attachments
file.diff (25.96 KB, patch)
2006-12-23 11:50 UTC, shuhei
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description shuhei 2006-12-23 11:50:13 UTC
At Thu, 14 Dec 2006 21:28:27 -0500,
Kris Kennaway wrote:
> 
> Dear Maintainer,
> 
> As you may know, in the near future FreeBSD 7.x will be switching from
> the gcc 3.4 compiler to gcc 4.x.  Unfortunately your port fails to
> build with the new compiler; see the log below or the following url:
> 
>   http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/e.7.2006121307/
> 
> To ease the disruption to users and to avoid further work later on,
> can you please work (with the upstream developers if necessary) on
> fixing this error?
> 
> In many cases it requires only simple code changes, and these may
> already have been submitted to the developers by other projects
> (thesedays many Linux distributions use gcc 4.1, so chances are they
> have fixed the error already), or the patches may be found in their
> package repositories.
> 
> You should be able to reproduce it yourself simply by installing the
> lang/gcc41 port and then setting the variables
> 
>   CC=/usr/local/bin/gcc41
>   CXX=/usr/local/bin/g++41
> 
> in your environment (Note: some ports do not respect these variables
> currently, but this is another bug that should be fixed).
> 
> Thanks,
> Kris
Comment 1 Edwin Groothuis freebsd_committer 2006-12-23 11:50:26 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer)
Comment 2 Edwin Groothuis freebsd_committer 2006-12-23 11:50:33 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 Martin Wilke freebsd_committer 2006-12-23 12:18:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 AMAKAWA Shuhei 2006-12-24 03:59:14 UTC
Hello.
I approve the patch.
Thank you.

--
Shuhei

At Sat, 23 Dec 2006 11:50:30 UT,
Edwin Groothuis wrote:
> 
> Maintainer of cad/cider,
> 
> Please note that PR ports/107134 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/107134
> 
> -- 
> Edwin Groothuis
> edwin@FreeBSD.org
Comment 5 Martin Wilke freebsd_committer 2007-01-18 09:03:18 UTC
State Changed
From-To: feedback->closed

Timeout. I close this here.
Comment 6 dfilter service freebsd_committer 2007-01-22 08:31:12 UTC
miwi        2007-01-22 08:30:59 UTC

  FreeBSD ports repository

  Modified files:
    cad/cider            Makefile 
    cad/cider/files      Makefile.cider Makefile.spice patch-ab 
                         patch-aj patch-ak patch-ao patch-aq 
                         patch-as patch-bb patch-bj patch-bk 
                         patch-bl 
  Added files:
    cad/cider/files      
                         patch-cider-common-src-lib-input-meshset.c 
                         patch-spice-common-src-lib-fte-graf.c 
                         patch-spice-common-src-lib-fte-grid.c 
                         patch-spice-common-src-lib-fte-x11.c 
                         patch-spice-common-src-lib-hlp-readhelp.c 
                         patch-spice-common-src-lib-mfb-mfbcaps.c 
  Log:
  - Fix build with gcc 4.1
  
  PR:             ports/107134
  Submitted by:   AMAKAWA Shuhei <sa264@cam.ac.uk> (maintainer)
  
  Revision  Changes    Path
  1.12      +4 -2      ports/cad/cider/Makefile
  1.3       +1 -1      ports/cad/cider/files/Makefile.cider
  1.3       +1 -1      ports/cad/cider/files/Makefile.spice
  1.4       +20 -19    ports/cad/cider/files/patch-ab
  1.2       +11 -2     ports/cad/cider/files/patch-aj
  1.2       +25 -3     ports/cad/cider/files/patch-ak
  1.2       +103 -14   ports/cad/cider/files/patch-ao
  1.2       +11 -4     ports/cad/cider/files/patch-aq
  1.2       +14 -3     ports/cad/cider/files/patch-as
  1.4       +1 -1      ports/cad/cider/files/patch-bb
  1.2       +11 -2     ports/cad/cider/files/patch-bj
  1.2       +25 -3     ports/cad/cider/files/patch-bk
  1.2       +14 -5     ports/cad/cider/files/patch-bl
  1.1       +17 -0     ports/cad/cider/files/patch-cider-common-src-lib-input-meshset.c (new)
  1.1       +12 -0     ports/cad/cider/files/patch-spice-common-src-lib-fte-graf.c (new)
  1.1       +12 -0     ports/cad/cider/files/patch-spice-common-src-lib-fte-grid.c (new)
  1.1       +13 -0     ports/cad/cider/files/patch-spice-common-src-lib-fte-x11.c (new)
  1.1       +13 -0     ports/cad/cider/files/patch-spice-common-src-lib-hlp-readhelp.c (new)
  1.1       +14 -0     ports/cad/cider/files/patch-spice-common-src-lib-mfb-mfbcaps.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"